#ifndef FGGL_GFX_GLFW_COMPAT_H
#define FGGL_GFX_GLFW_COMPAT_H
/**
 * Window management Calls.
 *
 * This shouldn't be exposed to the demo app, but the ECS we're using isn't smart enouph to allow us to
 * abstract this yet. It's next thing on the list, but this branch is about cleaning up OpenGL not about
 * extending our ECS.
 *
 * Should be removed when the engine has suitable abstractions in place.
 */

#include <memory>

#include <fggl/gfx/window.hpp>
#include <fggl/ecs/ecs.hpp>

namespace fggl::gfx {

	//
	// fake module support - allows us to still RAII
	//
	struct ecsGlfwModule {
		GlfwContext context;

		inline ecsGlfwModule(std::shared_ptr<fggl::input::Input> inputs) : context(inputs) {
		}

	};
	using GlfwModule = std::shared_ptr<ecsGlfwModule>;

	//
	// fake module/callbacks - our ECS doesn't have module/callback support yet.
	// 
	inline GlfwModule ecsInitGlfw(ecs::ECS& ecs, std::shared_ptr<fggl::input::Input> inputs) {
		auto mod = std::make_shared<ecsGlfwModule>(inputs);
		return mod;
	}

}


#endif
